Package org.apache.storm.generated

## Class DistributedRPCInvocations.AsyncClient

- java.lang.Object
- - org.apache.storm.thrift.async.TAsyncClient
  - - org.apache.storm.generated.DistributedRPCInvocations.AsyncClient

- All Implemented Interfaces:
    `DistributedRPCInvocations.AsyncIface`
  Enclosing class:
    DistributedRPCInvocations

      public static class DistributedRPCInvocations.AsyncClient
      extends org.apache.storm.thrift.async.TAsyncClient
      implements DistributedRPCInvocations.AsyncIface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DistributedRPCInvocations.AsyncClient.Factory` |
    `static class` | `DistributedRPCInvocations.AsyncClient.failRequest_call` |
    `static class` | `DistributedRPCInvocations.AsyncClient.failRequestV2_call` |
    `static class` | `DistributedRPCInvocations.AsyncClient.fetchRequest_call` |
    `static class` | `DistributedRPCInvocations.AsyncClient.result_call` |

  - ### Field Summary

    - ### Fields inherited from class org.apache.storm.thrift.async.TAsyncClient

      `___currentMethod, ___manager, ___protocolFactory, ___transport`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AsyncClient​(org.apache.storm.thrift.protocol.TProtocolFactory protocolFactory, org.apache.storm.thrift.async.TAsyncClientManager clientManager, org.apache.storm.thrift.transport.TNonblockingTransport transport)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `failRequest​(String id, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)` |
    `void` | `failRequestV2​(String id, DRPCExecutionException e, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)` |
    `void` | `fetchRequest​(String functionName, org.apache.storm.thrift.async.AsyncMethodCallback<DRPCRequest> resultHandler)` |
    `void` | `result​(String id, String result, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)` |

    - ### Methods inherited from class org.apache.storm.thrift.async.TAsyncClient

      `checkReady, getError, getProtocolFactory, getTimeout, hasError, hasTimeout, onComplete, onError, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncClient

          public AsyncClient​(org.apache.storm.thrift.protocol.TProtocolFactory protocolFactory,
                             org.apache.storm.thrift.async.TAsyncClientManager clientManager,
                             org.apache.storm.thrift.transport.TNonblockingTransport transport)

  - ### Method Detail

    - #### result

          public void result​(String id,
                             String result,
                             org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)
                      throws org.apache.storm.thrift.TException

      Specified by:
        `result` in interface `DistributedRPCInvocations.AsyncIface`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### fetchRequest

          public void fetchRequest​(String functionName,
                                   org.apache.storm.thrift.async.AsyncMethodCallback<DRPCRequest> resultHandler)
                            throws org.apache.storm.thrift.TException

      Specified by:
        `fetchRequest` in interface `DistributedRPCInvocations.AsyncIface`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### failRequest

          public void failRequest​(String id,
                                  org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)
                           throws org.apache.storm.thrift.TException

      Specified by:
        `failRequest` in interface `DistributedRPCInvocations.AsyncIface`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### failRequestV2

          public void failRequestV2​(String id,
                                    DRPCExecutionException e,
                                    org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)
                             throws org.apache.storm.thrift.TException

      Specified by:
        `failRequestV2` in interface `DistributedRPCInvocations.AsyncIface`
      Throws:
        `org.apache.storm.thrift.TException`